Author Topic: Support for Android 2.1?  (Read 2540 times)

Offline drn1

  • byte
  • *
  • Posts: 2
    • View Profile
Support for Android 2.1?
« on: April 12, 2010, 11:06:22 pm »
Hi,

Great work on the engine! I was playing with it all weekend, started building a spaceflight game.
I wanted some multitouch so I decided to upgrade my HTC hero from 1.5 to 2.1.

Now jpct-ae won't start.. I even tried your demo example again, just to make sure it wasn't something I did.

It seems to fail while setting up the renderer since the last normal output is:
04-12 16:50:36.550: INFO/jPCT-AE(1655): OpenGL renderer initialized (using 2 texture stages)
Then it just jumps back to the home-screen and throws a nasty stack trace.

I've attached my logcat output from running the demo. I can't find anything relevant in it.. just general OS stuff like "/system/lib/libdvm.so" and then some mentions of "/data/dalvik-cache/data@app@com.threed.jpct.example.apk@classes.dex"
No specific error type or method name..

Best,
Jonathan

[attachment deleted by admin]

Offline EgonOlsen

  • Administrator
  • quad
  • *****
  • Posts: 11745
    • View Profile
    • http://www.jpct.net
Re: Support for Android 2.1?
« Reply #1 on: April 12, 2010, 11:33:03 pm »
AE runs fine on the Nexus One, which is a 2.1 device. So it can't be a problem with 2.1 alone. Is that update for the Hero an official one or some "hacked" version? Do other Open GL based applications run in the VM (there are some examples in the SDK)?

Anyway, try to remove these lines from the demo:

Code: [Select]
mGLView.setEGLConfigChooser(new GLSurfaceView.EGLConfigChooser() {
public EGLConfig chooseConfig(EGL10 egl, EGLDisplay display) {
// Ensure that we get a 16bit framebuffer. Otherwise, we'll fall
// back to Pixelflinger on some device (read: Samsung I7500)
int[] attributes = new int[] { EGL10.EGL_DEPTH_SIZE, 16, EGL10.EGL_NONE };
EGLConfig[] configs = new EGLConfig[1];
int[] result = new int[1];
egl.eglChooseConfig(display, attributes, configs, 1, result);
return configs[0];
}
});

If that doesn't help, try Texture.defaultTo4bpp(false);

If that doesn't help either, try to determine which is the last method call that happens. From the log, this is hard to tell. Obviously, the renderer gets initialized correctly and something goes wrong afterwards. The big question is: Where and what exactly?


Offline zammbi

  • float
  • ****
  • Posts: 360
    • View Profile
Re: Support for Android 2.1?
« Reply #2 on: April 13, 2010, 12:03:00 am »
Quote
"hacked" version?
Sounds like a hacked version. Which in that case it may not have its graphics drivers up to shape.

Offline dl.zerocool

  • long
  • ***
  • Posts: 104
    • View Profile
Re: Support for Android 2.1?
« Reply #3 on: April 13, 2010, 12:26:16 am »
Take care, I was using a 2.1 hero before I bought the Nexus one.

Please consider visiting your rom forum or change your rom to another one wich include OpenGL driver and libs.

http://www.xda-developers.com/
You'll find all the help you need on their forums (Specific devices).

AE runs fine on 2.1, no problems here.

Offline drn1

  • byte
  • *
  • Posts: 2
    • View Profile
Re: Support for Android 2.1?
« Reply #4 on: April 13, 2010, 12:36:48 am »
Thanks for you fast reply!

yeah, it seems like I might have jumped the gun a little.. the custom rom I installed was not working properly.
Almost like it didn't include openGL drivers at all.

The faulty one is called: BeHero-v1.3.2-signed
I switched to Villain5.22 and everything seems to be working again, albeit a bit slow.

Damn, one of these days I have to get a vanilla device. The nexus one perhaps.
Unfortunately it's just so much cheaper to buy imported hardware in chinatown... :)

Anyhow, it's nice to be back in development!
Thanks again!

/Jonathan